Magick++: Magick::ReadOptions Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::ReadOptions Class Reference

`#include <STL.h>`

## Public Member Functions
| ReadOptions (void)
| ReadOptions (const ReadOptions &options_)
| ~ReadOptions ()
void | density (const Geometry &geomery_)
Geometry | density (void) const
void | depth (size_t depth_)
size_t | depth (void) const
void | ping (const bool flag_)
bool | ping (void) const
void | quiet (const bool quiet_)
bool | quiet (void) const
void | size (const Geometry &geometry_)
Geometry | size (void) const
MagickCore::ImageInfo * | imageInfo (void)

## Detailed Description

Definition at line 855 of file STL.h.

## Constructor & Destructor Documentation

## ◆ ReadOptions() [1/2]

Magick::ReadOptions::ReadOptions | ( | void |  | ) |

Definition at line 788 of file STL.cpp.

## ◆ ReadOptions() [2/2]

Magick::ReadOptions::ReadOptions | ( | const ReadOptions & | options_ | ) |

Definition at line 796 of file STL.cpp.

## ◆ ~ReadOptions()

Magick::ReadOptions::~ReadOptions | ( |  | ) |

Definition at line 802 of file STL.cpp.

## Member Function Documentation

## ◆ density() [1/2]

void Magick::ReadOptions::density | ( | const Geometry & | geomery_ | ) |

Definition at line 807 of file STL.cpp.

References Magick::CloneString(), and Magick::Geometry::isValid().

## ◆ density() [2/2]

Magick::Geometry Magick::ReadOptions::density | ( | void |  | ) | const

Definition at line 815 of file STL.cpp.

References Magick::Geometry.

## ◆ depth() [1/2]

void Magick::ReadOptions::depth | ( | size_t | depth_ | ) |

Definition at line 823 of file STL.cpp.

## ◆ depth() [2/2]

size_t Magick::ReadOptions::depth | ( | void |  | ) | const

Definition at line 828 of file STL.cpp.

## ◆ imageInfo()

MagickCore::ImageInfo * Magick::ReadOptions::imageInfo | ( | void |  | ) |

Definition at line 869 of file STL.cpp.

Referenced by Magick::readImages().

## ◆ ping() [1/2]

void Magick::ReadOptions::ping | ( | const bool | flag_ | ) |

Definition at line 833 of file STL.cpp.

Referenced by Magick::pingImages().

## ◆ ping() [2/2]

bool Magick::ReadOptions::ping | ( | void |  | ) | const

Definition at line 838 of file STL.cpp.

## ◆ quiet() [1/2]

void Magick::ReadOptions::quiet | ( | const bool | quiet_ | ) |

Definition at line 843 of file STL.cpp.

Referenced by Magick::readImages().

## ◆ quiet() [2/2]

bool Magick::ReadOptions::quiet | ( | void |  | ) | const

Definition at line 848 of file STL.cpp.

## ◆ size() [1/2]

void Magick::ReadOptions::size | ( | const Geometry & | geometry_ | ) |

Definition at line 853 of file STL.cpp.

References Magick::CloneString(), and Magick::Geometry::isValid().

## ◆ size() [2/2]

Magick::Geometry Magick::ReadOptions::size | ( | void |  | ) | const

Definition at line 861 of file STL.cpp.

References Magick::Geometry.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp